﻿
using System;
using System.Xml.Serialization;
using System.Collections.Generic;
using System.CodeDom.Compiler;
using System.ComponentModel;
using System.Diagnostics;
using System.Xml.Schema;
using System.Xml;

namespace FinalTemplate
{
    
    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    [XmlRootAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae", IsNullable = false)]
  
   
    public partial class Facturae
    {

        private FileHeaderType fileHeaderField;

        private PartiesType partiesField;

        private List<InvoiceType> invoicesField;

        private ExtensionsType extensionsField;

        
        public Facturae()
        {
            fileHeaderField = new FileHeaderType();
            partiesField = new PartiesType();
            invoicesField = new List<InvoiceType>();
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public FileHeaderType FileHeader
        {
            get
            {
                return this.fileHeaderField;
            }
            set
            {
                this.fileHeaderField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PartiesType Parties
        {
            get
            {
                return this.partiesField;
            }
            set
            {
                this.partiesField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Invoice", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<InvoiceType> Invoices
        {
            get
            {
                return this.invoicesField;
            }
            set
            {
                this.invoicesField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ExtensionsType Extensions
        {
            get
            {
                return this.extensionsField;
            }
            set
            {
                this.extensionsField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class FileHeaderType
    {

        private SchemaVersionType schemaVersionField;

        private ModalityType modalityField;

        private InvoiceIssuerTypeType invoiceIssuerTypeField;

        private ThirdPartyType thirdPartyField;

        private BatchType batchField;

        private FactoringAssignmentDataType factoringAssignmentDataField;

        public FileHeaderType()
        {
            this.schemaVersionField = SchemaVersionType.Item31;
            this.invoiceIssuerTypeField = new InvoiceIssuerTypeType();
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public SchemaVersionType SchemaVersion
        {
            get
            {
                return this.schemaVersionField;
            }
            set
            {
                this.schemaVersionField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ModalityType Modality
        {
            get
            {
                return this.modalityField;
            }
            set
            {
                this.modalityField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public InvoiceIssuerTypeType InvoiceIssuerType
        {
            get
            {
                return this.invoiceIssuerTypeField;
            }
            set
            {
                this.invoiceIssuerTypeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ThirdPartyType ThirdParty
        {
            get
            {
                return this.thirdPartyField;
            }
            set
            {
                this.thirdPartyField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public BatchType Batch
        {
            get
            {
                return this.batchField;
            }
            set
            {
                this.batchField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public FactoringAssignmentDataType FactoringAssignmentData
        {
            get
            {
                return this.factoringAssignmentDataField;
            }
            set
            {
                this.factoringAssignmentDataField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum SchemaVersionType
    {

        /// <comentarios/>
        [XmlEnumAttribute("3.1")]
        Item31,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum ModalityType
    {

        /// <comentarios/>
        I,

        /// <comentarios/>
        L,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum InvoiceIssuerTypeType
    {

        /// <comentarios/>
        EM,

        /// <comentarios/>
        RE,

        /// <comentarios/>
        TE,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class ThirdPartyType
    {

        private TaxIdentificationType taxIdentificationField;

        private object itemField;

        public ThirdPartyType()
        {
            taxIdentificationField = new TaxIdentificationType();
            
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public TaxIdentificationType TaxIdentification
        {
            get
            {
                return this.taxIdentificationField;
            }
            set
            {
                this.taxIdentificationField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute("Individual", typeof(IndividualType), Form = XmlSchemaForm.Unqualified)]
        [XmlElementAttribute("LegalEntity", typeof(LegalEntityType), Form = XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class TaxIdentificationType
    {

        private PersonTypeCodeType personTypeCodeField;

        private ResidenceTypeCodeType residenceTypeCodeField;

        private string taxIdentificationNumberField;

        public TaxIdentificationType()
        {
            
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PersonTypeCodeType PersonTypeCode
        {
            get
            {
                return this.personTypeCodeField;
            }
            set
            {
                this.personTypeCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ResidenceTypeCodeType ResidenceTypeCode
        {
            get
            {
                return this.residenceTypeCodeField;
            }
            set
            {
                this.residenceTypeCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string TaxIdentificationNumber
        {
            get
            {
                return this.taxIdentificationNumberField;
            }
            set
            {
                this.taxIdentificationNumberField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum PersonTypeCodeType
    {

        /// <comentarios/>
        F,

        /// <comentarios/>
        J,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum ResidenceTypeCodeType
    {

        /// <comentarios/>
        E,

        /// <comentarios/>
        R,

        /// <comentarios/>
        U,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AttachmentType
    {

        private AttachmentCompressionAlgorithmType attachmentCompressionAlgorithmField;

        private bool attachmentCompressionAlgorithmFieldSpecified;

        private AttachmentFormatType attachmentFormatField;

        private AttachmentEncodingType attachmentEncodingField;

        private bool attachmentEncodingFieldSpecified;

        private string attachmentDescriptionField;

        private string attachmentDataField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AttachmentCompressionAlgorithmType AttachmentCompressionAlgorithm
        {
            get
            {
                return this.attachmentCompressionAlgorithmField;
            }
            set
            {
                this.attachmentCompressionAlgorithmField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool AttachmentCompressionAlgorithmSpecified
        {
            get
            {
                return this.attachmentCompressionAlgorithmFieldSpecified;
            }
            set
            {
                this.attachmentCompressionAlgorithmFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AttachmentFormatType AttachmentFormat
        {
            get
            {
                return this.attachmentFormatField;
            }
            set
            {
                this.attachmentFormatField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AttachmentEncodingType AttachmentEncoding
        {
            get
            {
                return this.attachmentEncodingField;
            }
            set
            {
                this.attachmentEncodingField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool AttachmentEncodingSpecified
        {
            get
            {
                return this.attachmentEncodingFieldSpecified;
            }
            set
            {
                this.attachmentEncodingFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string AttachmentDescription
        {
            get
            {
                return this.attachmentDescriptionField;
            }
            set
            {
                this.attachmentDescriptionField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string AttachmentData
        {
            get
            {
                return this.attachmentDataField;
            }
            set
            {
                this.attachmentDataField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum AttachmentCompressionAlgorithmType
    {

        /// <comentarios/>
        ZIP,

        /// <comentarios/>
        GZIP,

        /// <comentarios/>
        NONE,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum AttachmentFormatType
    {

        /// <comentarios/>
        xml,

        /// <comentarios/>
        doc,

        /// <comentarios/>
        gif,

        /// <comentarios/>
        rtf,

        /// <comentarios/>
        pdf,

        /// <comentarios/>
        xls,

        /// <comentarios/>
        jpg,

        /// <comentarios/>
        bmp,

        /// <comentarios/>
        tiff,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum AttachmentEncodingType
    {

        /// <comentarios/>
        BASE64,

        /// <comentarios/>
        BER,

        /// <comentarios/>
        DER,

        /// <comentarios/>
        NONE,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AdditionalDataType
    {

        private string relatedInvoiceField;

        private List<AttachmentType> relatedDocumentsField;

        private string invoiceAdditionalInformationField;

        private ExtensionsType extensionsField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string RelatedInvoice
        {
            get
            {
                return this.relatedInvoiceField;
            }
            set
            {
                this.relatedInvoiceField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Attachment", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<AttachmentType> RelatedDocuments
        {
            get
            {
                return this.relatedDocumentsField;
            }
            set
            {
                this.relatedDocumentsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string InvoiceAdditionalInformation
        {
            get
            {
                return this.invoiceAdditionalInformationField;
            }
            set
            {
                this.invoiceAdditionalInformationField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ExtensionsType Extensions
        {
            get
            {
                return this.extensionsField;
            }
            set
            {
                this.extensionsField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class ExtensionsType
    {

        private List<XmlElement> anyField;

        /// <comentarios/>
        [XmlAnyElementAttribute()]
        public List<XmlElement> Any
        {
            get
            {
                return this.anyField;
            }
            set
            {
                this.anyField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AccountType
    {

        private string iBANField;

        private string bankCodeField;

        private string branchCodeField;

        private object itemField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string IBAN
        {
            get
            {
                return this.iBANField;
            }
            set
            {
                this.iBANField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string BankCode
        {
            get
            {
                return this.bankCodeField;
            }
            set
            {
                this.bankCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string BranchCode
        {
            get
            {
                return this.branchCodeField;
            }
            set
            {
                this.branchCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute("BranchInSpainAddress", typeof(AddressType), Form = XmlSchemaForm.Unqualified)]
        [XmlElementAttribute("OverseasBranchAddress", typeof(OverseasAddressType), Form = XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AddressType
    {

        private string addressField;

        private string postCodeField;

        private string townField;

        private string provinceField;

        private CountryType countryCodeField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Address
        {
            get
            {
                return this.addressField;
            }
            set
            {
                this.addressField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PostCode
        {
            get
            {
                return this.postCodeField;
            }
            set
            {
                this.postCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Town
        {
            get
            {
                return this.townField;
            }
            set
            {
                this.townField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Province
        {
            get
            {
                return this.provinceField;
            }
            set
            {
                this.provinceField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CountryType CountryCode
        {
            get
            {
                return this.countryCodeField;
            }
            set
            {
                this.countryCodeField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum CountryType
    {

        /// <comentarios/>
        AFG,

        /// <comentarios/>
        ALB,

        /// <comentarios/>
        DZA,

        /// <comentarios/>
        ASM,

        /// <comentarios/>
        AND,

        /// <comentarios/>
        AGO,

        /// <comentarios/>
        AIA,

        /// <comentarios/>
        ATG,

        /// <comentarios/>
        ARG,

        /// <comentarios/>
        ARM,

        /// <comentarios/>
        ABW,

        /// <comentarios/>
        AUS,

        /// <comentarios/>
        AUT,

        /// <comentarios/>
        AZE,

        /// <comentarios/>
        BHS,

        /// <comentarios/>
        BHR,

        /// <comentarios/>
        BGD,

        /// <comentarios/>
        BRB,

        /// <comentarios/>
        BLR,

        /// <comentarios/>
        BEL,

        /// <comentarios/>
        BLZ,

        /// <comentarios/>
        BEN,

        /// <comentarios/>
        BMU,

        /// <comentarios/>
        BTN,

        /// <comentarios/>
        BOL,

        /// <comentarios/>
        BIH,

        /// <comentarios/>
        BWA,

        /// <comentarios/>
        BRA,

        /// <comentarios/>
        BRN,

        /// <comentarios/>
        BGR,

        /// <comentarios/>
        BFA,

        /// <comentarios/>
        BDI,

        /// <comentarios/>
        KHM,

        /// <comentarios/>
        CMR,

        /// <comentarios/>
        CAN,

        /// <comentarios/>
        CPV,

        /// <comentarios/>
        CYM,

        /// <comentarios/>
        CAF,

        /// <comentarios/>
        TCD,

        /// <comentarios/>
        CHL,

        /// <comentarios/>
        CHN,

        /// <comentarios/>
        COD,

        /// <comentarios/>
        COL,

        /// <comentarios/>
        COM,

        /// <comentarios/>
        COG,

        /// <comentarios/>
        COK,

        /// <comentarios/>
        CRI,

        /// <comentarios/>
        CIV,

        /// <comentarios/>
        HRV,

        /// <comentarios/>
        CUB,

        /// <comentarios/>
        CYP,

        /// <comentarios/>
        CZE,

        /// <comentarios/>
        DNK,

        /// <comentarios/>
        DJI,

        /// <comentarios/>
        DMA,

        /// <comentarios/>
        DOM,

        /// <comentarios/>
        ECU,

        /// <comentarios/>
        EGY,

        /// <comentarios/>
        SLV,

        /// <comentarios/>
        GNQ,

        /// <comentarios/>
        ERI,

        /// <comentarios/>
        EST,

        /// <comentarios/>
        ETH,

        /// <comentarios/>
        FLK,

        /// <comentarios/>
        FRO,

        /// <comentarios/>
        FJI,

        /// <comentarios/>
        FIN,

        /// <comentarios/>
        FRA,

        /// <comentarios/>
        GUF,

        /// <comentarios/>
        PYF,

        /// <comentarios/>
        GAB,

        /// <comentarios/>
        GMB,

        /// <comentarios/>
        GEO,

        /// <comentarios/>
        GGY,

        /// <comentarios/>
        DEU,

        /// <comentarios/>
        GHA,

        /// <comentarios/>
        GIB,

        /// <comentarios/>
        GRC,

        /// <comentarios/>
        GRL,

        /// <comentarios/>
        GRD,

        /// <comentarios/>
        GLP,

        /// <comentarios/>
        GUM,

        /// <comentarios/>
        GTM,

        /// <comentarios/>
        GIN,

        /// <comentarios/>
        GNB,

        /// <comentarios/>
        GUY,

        /// <comentarios/>
        HTI,

        /// <comentarios/>
        HND,

        /// <comentarios/>
        HKG,

        /// <comentarios/>
        HUN,

        /// <comentarios/>
        ISL,

        /// <comentarios/>
        IND,

        /// <comentarios/>
        IDN,

        /// <comentarios/>
        IMN,

        /// <comentarios/>
        IRN,

        /// <comentarios/>
        IRQ,

        /// <comentarios/>
        IRL,

        /// <comentarios/>
        ISR,

        /// <comentarios/>
        ITA,

        /// <comentarios/>
        JAM,

        /// <comentarios/>
        JEY,

        /// <comentarios/>
        JPN,

        /// <comentarios/>
        JOR,

        /// <comentarios/>
        KAZ,

        /// <comentarios/>
        KEN,

        /// <comentarios/>
        KIR,

        /// <comentarios/>
        PRK,

        /// <comentarios/>
        KOR,

        /// <comentarios/>
        KWT,

        /// <comentarios/>
        KGZ,

        /// <comentarios/>
        LAO,

        /// <comentarios/>
        LVA,

        /// <comentarios/>
        LBN,

        /// <comentarios/>
        LSO,

        /// <comentarios/>
        LBR,

        /// <comentarios/>
        LBY,

        /// <comentarios/>
        LIE,

        /// <comentarios/>
        LTU,

        /// <comentarios/>
        LUX,

        /// <comentarios/>
        MAC,

        /// <comentarios/>
        MKD,

        /// <comentarios/>
        MDG,

        /// <comentarios/>
        MWI,

        /// <comentarios/>
        MYS,

        /// <comentarios/>
        MDV,

        /// <comentarios/>
        MLI,

        /// <comentarios/>
        MLT,

        /// <comentarios/>
        MHL,

        /// <comentarios/>
        MTQ,

        /// <comentarios/>
        MRT,

        /// <comentarios/>
        MUS,

        /// <comentarios/>
        MYT,

        /// <comentarios/>
        MEX,

        /// <comentarios/>
        FSM,

        /// <comentarios/>
        MDA,

        /// <comentarios/>
        MCO,

        /// <comentarios/>
        MNE,

        /// <comentarios/>
        MNG,

        /// <comentarios/>
        MSR,

        /// <comentarios/>
        MAR,

        /// <comentarios/>
        MOZ,

        /// <comentarios/>
        MMR,

        /// <comentarios/>
        NAM,

        /// <comentarios/>
        NRU,

        /// <comentarios/>
        NPL,

        /// <comentarios/>
        NLD,

        /// <comentarios/>
        ANT,

        /// <comentarios/>
        NCL,

        /// <comentarios/>
        NZL,

        /// <comentarios/>
        NIC,

        /// <comentarios/>
        NER,

        /// <comentarios/>
        NGA,

        /// <comentarios/>
        NIU,

        /// <comentarios/>
        NFK,

        /// <comentarios/>
        MNP,

        /// <comentarios/>
        NOR,

        /// <comentarios/>
        OMN,

        /// <comentarios/>
        PAK,

        /// <comentarios/>
        PLW,

        /// <comentarios/>
        PAN,

        /// <comentarios/>
        PNG,

        /// <comentarios/>
        PRY,

        /// <comentarios/>
        PSE,

        /// <comentarios/>
        PER,

        /// <comentarios/>
        PHL,

        /// <comentarios/>
        PCN,

        /// <comentarios/>
        POL,

        /// <comentarios/>
        PRT,

        /// <comentarios/>
        PRI,

        /// <comentarios/>
        QAT,

        /// <comentarios/>
        REU,

        /// <comentarios/>
        ROU,

        /// <comentarios/>
        RUS,

        /// <comentarios/>
        RWA,

        /// <comentarios/>
        KNA,

        /// <comentarios/>
        LCA,

        /// <comentarios/>
        VCT,

        /// <comentarios/>
        WSM,

        /// <comentarios/>
        SMR,

        /// <comentarios/>
        STP,

        /// <comentarios/>
        SAU,

        /// <comentarios/>
        SEN,

        /// <comentarios/>
        SRB,

        /// <comentarios/>
        SYC,

        /// <comentarios/>
        SLE,

        /// <comentarios/>
        SGP,

        /// <comentarios/>
        SVK,

        /// <comentarios/>
        SVN,

        /// <comentarios/>
        SLB,

        /// <comentarios/>
        SOM,

        /// <comentarios/>
        ZAF,

        /// <comentarios/>
        ESP,

        /// <comentarios/>
        LKA,

        /// <comentarios/>
        SHN,

        /// <comentarios/>
        SPM,

        /// <comentarios/>
        SDN,

        /// <comentarios/>
        SUR,

        /// <comentarios/>
        SJM,

        /// <comentarios/>
        SWZ,

        /// <comentarios/>
        SWE,

        /// <comentarios/>
        CHE,

        /// <comentarios/>
        SYR,

        /// <comentarios/>
        TWN,

        /// <comentarios/>
        TJK,

        /// <comentarios/>
        TZA,

        /// <comentarios/>
        THA,

        /// <comentarios/>
        TGO,

        /// <comentarios/>
        TKL,

        /// <comentarios/>
        TON,

        /// <comentarios/>
        TTO,

        /// <comentarios/>
        TUN,

        /// <comentarios/>
        TUR,

        /// <comentarios/>
        TKM,

        /// <comentarios/>
        TLS,

        /// <comentarios/>
        TCA,

        /// <comentarios/>
        TUV,

        /// <comentarios/>
        UGA,

        /// <comentarios/>
        UKR,

        /// <comentarios/>
        ARE,

        /// <comentarios/>
        GBR,

        /// <comentarios/>
        USA,

        /// <comentarios/>
        URY,

        /// <comentarios/>
        UZB,

        /// <comentarios/>
        VUT,

        /// <comentarios/>
        VAT,

        /// <comentarios/>
        VEN,

        /// <comentarios/>
        VNM,

        /// <comentarios/>
        VGB,

        /// <comentarios/>
        VIR,

        /// <comentarios/>
        WLF,

        /// <comentarios/>
        ESH,

        /// <comentarios/>
        YEM,

        /// <comentarios/>
        ZAR,

        /// <comentarios/>
        ZMB,

        /// <comentarios/>
        ZWE,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class OverseasAddressType
    {

        private string addressField;

        private string postCodeAndTownField;

        private string provinceField;

        private CountryType countryCodeField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Address
        {
            get
            {
                return this.addressField;
            }
            set
            {
                this.addressField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PostCodeAndTown
        {
            get
            {
                return this.postCodeAndTownField;
            }
            set
            {
                this.postCodeAndTownField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Province
        {
            get
            {
                return this.provinceField;
            }
            set
            {
                this.provinceField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CountryType CountryCode
        {
            get
            {
                return this.countryCodeField;
            }
            set
            {
                this.countryCodeField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class InstallmentType
    {

        private DateTime installmentDueDateField;

        private double installmentAmountField;

        private PaymentMeansType paymentMeansField;

        private AccountType accountToBeCreditedField;

        private string paymentReconciliationReferenceField;

        private AccountType accountToBeDebitedField;

        private string collectionAdditionalInformationField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime InstallmentDueDate
        {
            get
            {
                return this.installmentDueDateField;
            }
            set
            {
                this.installmentDueDateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double InstallmentAmount
        {
            get
            {
                return this.installmentAmountField;
            }
            set
            {
                this.installmentAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PaymentMeansType PaymentMeans
        {
            get
            {
                return this.paymentMeansField;
            }
            set
            {
                this.paymentMeansField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AccountType AccountToBeCredited
        {
            get
            {
                return this.accountToBeCreditedField;
            }
            set
            {
                this.accountToBeCreditedField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PaymentReconciliationReference
        {
            get
            {
                return this.paymentReconciliationReferenceField;
            }
            set
            {
                this.paymentReconciliationReferenceField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AccountType AccountToBeDebited
        {
            get
            {
                return this.accountToBeDebitedField;
            }
            set
            {
                this.accountToBeDebitedField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string CollectionAdditionalInformation
        {
            get
            {
                return this.collectionAdditionalInformationField;
            }
            set
            {
                this.collectionAdditionalInformationField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum PaymentMeansType
    {

        /// <comentarios/>
        [XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [XmlEnumAttribute("04")]
        Item04,

        /// <comentarios/>
        [XmlEnumAttribute("05")]
        Item05,

        /// <comentarios/>
        [XmlEnumAttribute("06")]
        Item06,

        /// <comentarios/>
        [XmlEnumAttribute("07")]
        Item07,

        /// <comentarios/>
        [XmlEnumAttribute("08")]
        Item08,

        /// <comentarios/>
        [XmlEnumAttribute("09")]
        Item09,

        /// <comentarios/>
        [XmlEnumAttribute("10")]
        Item10,

        /// <comentarios/>
        [XmlEnumAttribute("11")]
        Item11,

        /// <comentarios/>
        [XmlEnumAttribute("12")]
        Item12,

        /// <comentarios/>
        [XmlEnumAttribute("13")]
        Item13,

        /// <comentarios/>
        [XmlEnumAttribute("14")]
        Item14,

        /// <comentarios/>
        [XmlEnumAttribute("15")]
        Item15,

        /// <comentarios/>
        [XmlEnumAttribute("16")]
        Item16,

        /// <comentarios/>
        [XmlEnumAttribute("17")]
        Item17,

        /// <comentarios/>
        [XmlEnumAttribute("18")]
        Item18,

        /// <comentarios/>
        [XmlEnumAttribute("19")]
        Item19,
    }


    public enum paymentDescripton
    {
        [XmlEnumAttribute("Al Contado")]
        alContado,
        [XmlEnumAttribute("Recibo Domiciliado")]
        Recibo_Domiciliado,
        [XmlEnumAttribute("Recibo")]
        Recibo,
        [XmlEnumAttribute("Transferencia")]
        Transferencia,
        [XmlEnumAttribute("Letra Aceptada")]
        Letra_Aceptada,
        [XmlEnumAttribute("Crédito Documentario")]
        Crédito_Documentario,
        [XmlEnumAttribute("Contrato Adjudicación")]
        Contrato_Adjudicación,
        [XmlEnumAttribute("Letra de cambio")]
        Letra_de_cambio,
        [XmlEnumAttribute("Pagaré a la  Orden")]
        Pagaré_a_la_Orden,
        [XmlEnumAttribute("Pagaré no a la  Orden")]
        Pagaré_No_a_la_Orden,
        [XmlEnumAttribute("Cheque")]
        Cheque,
        [XmlEnumAttribute("Reposición")]
        Reposición,
        [XmlEnumAttribute("Especiales")]
        Especiales,
        [XmlEnumAttribute("Compensación")]
        Compensación,
        [XmlEnumAttribute("Giro postal")]
        Giro_postal,
        [XmlEnumAttribute("Cheque conformado")]
        Cheque_conformado,
        [XmlEnumAttribute("Cheque bancario")]
        Cheque_bancario,
        [XmlEnumAttribute("Pago contra reembolso")]
        Pago_contra_reembolso,
        [XmlEnumAttribute("Pago mediante tarjeta")]
        Pago_mediante_tarjeta

    }
    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class DeliveryNoteType
    {

        private string deliveryNoteNumberField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string DeliveryNoteNumber
        {
            get
            {
                return this.deliveryNoteNumberField;
            }
            set
            {
                this.deliveryNoteNumberField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class InvoiceLineType
    {

        private string issuerContractReferenceField;

        private string issuerTransactionReferenceField;

        private string receiverContractReferenceField;

        private string receiverTransactionReferenceField;

        private double purchaseOrderReferenceField;

        private bool purchaseOrderReferenceFieldSpecified;

        private List<DeliveryNoteType> deliveryNotesReferencesField;

        private string itemDescriptionField;

        private double quantityField;

        private UnitOfMeasureType unitOfMeasureField;

        private bool unitOfMeasureFieldSpecified;

        private double unitPriceWithoutTaxField;

        private double totalCostField;

        private List<DiscountType> discountsAndRebatesField;

        private List<ChargeType> chargesField;

        private double grossAmountField;

        private List<TaxType> taxesWithheldField;

        private List<InvoiceLineTypeTax> taxesOutputsField;

        private PeriodDates lineItemPeriodField;

        private DateTime transactionDateField;

        private bool transactionDateFieldSpecified;

        private string additionalLineItemInformationField;

        private ExtensionsType extensionsField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string IssuerContractReference
        {
            get
            {
                return this.issuerContractReferenceField;
            }
            set
            {
                this.issuerContractReferenceField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string IssuerTransactionReference
        {
            get
            {
                return this.issuerTransactionReferenceField;
            }
            set
            {
                this.issuerTransactionReferenceField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string ReceiverContractReference
        {
            get
            {
                return this.receiverContractReferenceField;
            }
            set
            {
                this.receiverContractReferenceField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string ReceiverTransactionReference
        {
            get
            {
                return this.receiverTransactionReferenceField;
            }
            set
            {
                this.receiverTransactionReferenceField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double PurchaseOrderReference
        {
            get
            {
                return this.purchaseOrderReferenceField;
            }
            set
            {
                this.purchaseOrderReferenceField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool PurchaseOrderReferenceSpecified
        {
            get
            {
                return this.purchaseOrderReferenceFieldSpecified;
            }
            set
            {
                this.purchaseOrderReferenceFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("DeliveryNote", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<DeliveryNoteType> DeliveryNotesReferences
        {
            get
            {
                return this.deliveryNotesReferencesField;
            }
            set
            {
                this.deliveryNotesReferencesField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string ItemDescription
        {
            get
            {
                return this.itemDescriptionField;
            }
            set
            {
                this.itemDescriptionField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double Quantity
        {
            get
            {
                return this.quantityField;
            }
            set
            {
                this.quantityField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public UnitOfMeasureType UnitOfMeasure
        {
            get
            {
                return this.unitOfMeasureField;
            }
            set
            {
                this.unitOfMeasureField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool UnitOfMeasureSpecified
        {
            get
            {
                return this.unitOfMeasureFieldSpecified;
            }
            set
            {
                this.unitOfMeasureFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double UnitPriceWithoutTax
        {
            get
            {
                return this.unitPriceWithoutTaxField;
            }
            set
            {
                this.unitPriceWithoutTaxField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalCost
        {
            get
            {
                return this.totalCostField;
            }
            set
            {
                this.totalCostField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Discount", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<DiscountType> DiscountsAndRebates
        {
            get
            {
                return this.discountsAndRebatesField;
            }
            set
            {
                this.discountsAndRebatesField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Charge", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<ChargeType> Charges
        {
            get
            {
                return this.chargesField;
            }
            set
            {
                this.chargesField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double GrossAmount
        {
            get
            {
                return this.grossAmountField;
            }
            set
            {
                this.grossAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Tax", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<TaxType> TaxesWithheld
        {
            get
            {
                return this.taxesWithheldField;
            }
            set
            {
                this.taxesWithheldField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Tax", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<InvoiceLineTypeTax> TaxesOutputs
        {
            get
            {
                return this.taxesOutputsField;
            }
            set
            {
                this.taxesOutputsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PeriodDates LineItemPeriod
        {
            get
            {
                return this.lineItemPeriodField;
            }
            set
            {
                this.lineItemPeriodField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime TransactionDate
        {
            get
            {
                return this.transactionDateField;
            }
            set
            {
                this.transactionDateField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool TransactionDateSpecified
        {
            get
            {
                return this.transactionDateFieldSpecified;
            }
            set
            {
                this.transactionDateFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string AdditionalLineItemInformation
        {
            get
            {
                return this.additionalLineItemInformationField;
            }
            set
            {
                this.additionalLineItemInformationField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ExtensionsType Extensions
        {
            get
            {
                return this.extensionsField;
            }
            set
            {
                this.extensionsField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum UnitOfMeasureType
    {

        /// <comentarios/>
        [XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [XmlEnumAttribute("04")]
        Item04,

        /// <comentarios/>
        [XmlEnumAttribute("05")]
        Item05,

        /// <comentarios/>
        [XmlEnumAttribute("06")]
        Item06,

        /// <comentarios/>
        [XmlEnumAttribute("07")]
        Item07,

        /// <comentarios/>
        [XmlEnumAttribute("08")]
        Item08,

        /// <comentarios/>
        [XmlEnumAttribute("09")]
        Item09,

        /// <comentarios/>
        [XmlEnumAttribute("10")]
        Item10,

        /// <comentarios/>
        [XmlEnumAttribute("11")]
        Item11,

        /// <comentarios/>
        [XmlEnumAttribute("12")]
        Item12,

        /// <comentarios/>
        [XmlEnumAttribute("13")]
        Item13,

        /// <comentarios/>
        [XmlEnumAttribute("14")]
        Item14,

        /// <comentarios/>
        [XmlEnumAttribute("15")]
        Item15,

        /// <comentarios/>
        [XmlEnumAttribute("16")]
        Item16,

        /// <comentarios/>
        [XmlEnumAttribute("17")]
        Item17,

        /// <comentarios/>
        [XmlEnumAttribute("18")]
        Item18,

        /// <comentarios/>
        [XmlEnumAttribute("19")]
        Item19,

        /// <comentarios/>
        [XmlEnumAttribute("20")]
        Item20,

        /// <comentarios/>
        [XmlEnumAttribute("21")]
        Item21,

        /// <comentarios/>
        [XmlEnumAttribute("22")]
        Item22,

        /// <comentarios/>
        [XmlEnumAttribute("23")]
        Item23,

        /// <comentarios/>
        [XmlEnumAttribute("24")]
        Item24,

        /// <comentarios/>
        [XmlEnumAttribute("25")]
        Item25,

        /// <comentarios/>
        [XmlEnumAttribute("26")]
        Item26,

        /// <comentarios/>
        [XmlEnumAttribute("27")]
        Item27,

        /// <comentarios/>
        [XmlEnumAttribute("28")]
        Item28,

        /// <comentarios/>
        [XmlEnumAttribute("29")]
        Item29,

        /// <comentarios/>
        [XmlEnumAttribute("30")]
        Item30,

        /// <comentarios/>
        [XmlEnumAttribute("31")]
        Item31,

        /// <comentarios/>
        [XmlEnumAttribute("32")]
        Item32,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class DiscountType
    {

        private string discountReasonField;

        private string discountRateField;

        private bool discountRateFieldSpecified;

        private double discountAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string DiscountReason
        {
            get
            {
                return this.discountReasonField;
            }
            set
            {
                this.discountReasonField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string DiscountRate
        {
            get
            {
                return this.discountRateField;
            }
            set
            {
                this.discountRateField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool DiscountRateSpecified
        {
            get
            {
                return this.discountRateFieldSpecified;
            }
            set
            {
                this.discountRateFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double DiscountAmount
        {
            get
            {
                return this.discountAmountField;
            }
            set
            {
                this.discountAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class ChargeType
    {

        private string chargeReasonField;

        private double chargeRateField;

        private bool chargeRateFieldSpecified;

        private double chargeAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string ChargeReason
        {
            get
            {
                return this.chargeReasonField;
            }
            set
            {
                this.chargeReasonField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double ChargeRate
        {
            get
            {
                return this.chargeRateField;
            }
            set
            {
                this.chargeRateField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool ChargeRateSpecified
        {
            get
            {
                return this.chargeRateFieldSpecified;
            }
            set
            {
                this.chargeRateFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double ChargeAmount
        {
            get
            {
                return this.chargeAmountField;
            }
            set
            {
                this.chargeAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class TaxType
    {

        private TaxTypeCodeType taxTypeCodeField;

        private double taxRateField;

        private AmountType taxableBaseField;

        private AmountType taxAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public TaxTypeCodeType TaxTypeCode
        {
            get
            {
                return this.taxTypeCodeField;
            }
            set
            {
                this.taxTypeCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TaxRate
        {
            get
            {
                return this.taxRateField;
            }
            set
            {
                this.taxRateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType TaxableBase
        {
            get
            {
                return this.taxableBaseField;
            }
            set
            {
                this.taxableBaseField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType TaxAmount
        {
            get
            {
                return this.taxAmountField;
            }
            set
            {
                this.taxAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum TaxTypeCodeType
    {

        /// <comentarios/>
        [XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [XmlEnumAttribute("04")]
        Item04,

        /// <comentarios/>
        [XmlEnumAttribute("05")]
        Item05,

        /// <comentarios/>
        [XmlEnumAttribute("06")]
        Item06,

        /// <comentarios/>
        [XmlEnumAttribute("07")]
        Item07,

        /// <comentarios/>
        [XmlEnumAttribute("08")]
        Item08,

        /// <comentarios/>
        [XmlEnumAttribute("09")]
        Item09,

        /// <comentarios/>
        [XmlEnumAttribute("10")]
        Item10,

        /// <comentarios/>
        [XmlEnumAttribute("11")]
        Item11,

        /// <comentarios/>
        [XmlEnumAttribute("12")]
        Item12,

        /// <comentarios/>
        [XmlEnumAttribute("13")]
        Item13,

        /// <comentarios/>
        [XmlEnumAttribute("14")]
        Item14,

        /// <comentarios/>
        [XmlEnumAttribute("15")]
        Item15,

        /// <comentarios/>
        [XmlEnumAttribute("16")]
        Item16,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AmountType
    {

        private double totalAmountField;

        private double equivalentInEurosField;

        private bool equivalentInEurosFieldSpecified;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalAmount
        {
            get
            {
                return this.totalAmountField;
            }
            set
            {
                this.totalAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double EquivalentInEuros
        {
            get
            {
                return this.equivalentInEurosField;
            }
            set
            {
                this.equivalentInEurosField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool EquivalentInEurosSpecified
        {
            get
            {
                return this.equivalentInEurosFieldSpecified;
            }
            set
            {
                this.equivalentInEurosFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(AnonymousType = true, Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class InvoiceLineTypeTax : TaxOutputType
    {
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class TaxOutputType
    {

        private TaxTypeCodeType taxTypeCodeField;

        //private double taxRateField;
        private string taxRateField;
        private AmountType taxableBaseField;

        private AmountType taxAmountField;

        private AmountType specialTaxableBaseField;

        private AmountType specialTaxAmountField;

        private double equivalenceSurchargeField;

        private bool equivalenceSurchargeFieldSpecified;

        private AmountType equivalenceSurchargeAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public TaxTypeCodeType TaxTypeCode
        {
            get
            {
                return this.taxTypeCodeField;
            }
            set
            {
                this.taxTypeCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string TaxRate
        {
            get
            {
                return this.taxRateField;
            }
            set
            {
                this.taxRateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType TaxableBase
        {
            get
            {
                return this.taxableBaseField;
            }
            set
            {
                this.taxableBaseField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType TaxAmount
        {
            get
            {
                return this.taxAmountField;
            }
            set
            {
                this.taxAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType SpecialTaxableBase
        {
            get
            {
                return this.specialTaxableBaseField;
            }
            set
            {
                this.specialTaxableBaseField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType SpecialTaxAmount
        {
            get
            {
                return this.specialTaxAmountField;
            }
            set
            {
                this.specialTaxAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double EquivalenceSurcharge
        {
            get
            {
                return this.equivalenceSurchargeField;
            }
            set
            {
                this.equivalenceSurchargeField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool EquivalenceSurchargeSpecified
        {
            get
            {
                return this.equivalenceSurchargeFieldSpecified;
            }
            set
            {
                this.equivalenceSurchargeFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType EquivalenceSurchargeAmount
        {
            get
            {
                return this.equivalenceSurchargeAmountField;
            }
            set
            {
                this.equivalenceSurchargeAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class PeriodDates
    {

        private DateTime startDateField;

        private DateTime endDateField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime StartDate
        {
            get
            {
                return this.startDateField;
            }
            set
            {
                this.startDateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime EndDate
        {
            get
            {
                return this.endDateField;
            }
            set
            {
                this.endDateField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AmountsWithheldType
    {

        private string withholdingReasonField;

        private double withholdingRateField;

        private bool withholdingRateFieldSpecified;

        private double withholdingAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string WithholdingReason
        {
            get
            {
                return this.withholdingReasonField;
            }
            set
            {
                this.withholdingReasonField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double WithholdingRate
        {
            get
            {
                return this.withholdingRateField;
            }
            set
            {
                this.withholdingRateField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool WithholdingRateSpecified
        {
            get
            {
                return this.withholdingRateFieldSpecified;
            }
            set
            {
                this.withholdingRateFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double WithholdingAmount
        {
            get
            {
                return this.withholdingAmountField;
            }
            set
            {
                this.withholdingAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class ReimbursableExpensesType
    {

        private TaxIdentificationType reimbursableExpensesSellerPartyField;

        private TaxIdentificationType reimbursableExpensesBuyerPartyField;

        private DateTime issueDateField;

        private bool issueDateFieldSpecified;

        private string invoiceNumberField;

        private string invoiceSeriesCodeField;

        private double reimbursableExpensesAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public TaxIdentificationType ReimbursableExpensesSellerParty
        {
            get
            {
                return this.reimbursableExpensesSellerPartyField;
            }
            set
            {
                this.reimbursableExpensesSellerPartyField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public TaxIdentificationType ReimbursableExpensesBuyerParty
        {
            get
            {
                return this.reimbursableExpensesBuyerPartyField;
            }
            set
            {
                this.reimbursableExpensesBuyerPartyField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool IssueDateSpecified
        {
            get
            {
                return this.issueDateFieldSpecified;
            }
            set
            {
                this.issueDateFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string InvoiceNumber
        {
            get
            {
                return this.invoiceNumberField;
            }
            set
            {
                this.invoiceNumberField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string InvoiceSeriesCode
        {
            get
            {
                return this.invoiceSeriesCodeField;
            }
            set
            {
                this.invoiceSeriesCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double ReimbursableExpensesAmount
        {
            get
            {
                return this.reimbursableExpensesAmountField;
            }
            set
            {
                this.reimbursableExpensesAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class PaymentOnAccountType
    {

        private DateTime paymentOnAccountDateField;

        private double paymentOnAccountAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime PaymentOnAccountDate
        {
            get
            {
                return this.paymentOnAccountDateField;
            }
            set
            {
                this.paymentOnAccountDateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double PaymentOnAccountAmount
        {
            get
            {
                return this.paymentOnAccountAmountField;
            }
            set
            {
                this.paymentOnAccountAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class SubsidyType
    {

        private string subsidyDescriptionField;

        private double subsidyRateField;

        private bool subsidyRateFieldSpecified;

        private double subsidyAmountField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string SubsidyDescription
        {
            get
            {
                return this.subsidyDescriptionField;
            }
            set
            {
                this.subsidyDescriptionField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double SubsidyRate
        {
            get
            {
                return this.subsidyRateField;
            }
            set
            {
                this.subsidyRateField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool SubsidyRateSpecified
        {
            get
            {
                return this.subsidyRateFieldSpecified;
            }
            set
            {
                this.subsidyRateFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double SubsidyAmount
        {
            get
            {
                return this.subsidyAmountField;
            }
            set
            {
                this.subsidyAmountField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class InvoiceTotalsType
    {

        private double totalGrossAmountField;

        private List<DiscountType> generalDiscountsField;

        private List<ChargeType> generalSurchargesField;

        private double totalGeneralDiscountsField;

        private bool totalGeneralDiscountsFieldSpecified;

        private double totalGeneralSurchargesField;

        private bool totalGeneralSurchargesFieldSpecified;

        private double totalGrossAmountBeforeTaxesField;

        private double totalTaxOutputsField;

        private double totalTaxesWithheldField;

        private double invoiceTotalField;

        private List<SubsidyType> subsidiesField;

        private List<PaymentOnAccountType> paymentsOnAccountField;

        private List<ReimbursableExpensesType> reimbursableExpensesField;

        private double totalFinancialExpensesField;

        private bool totalFinancialExpensesFieldSpecified;

        private double totalOutstandingAmountField;

        private double totalPaymentsOnAccountField;

        private bool totalPaymentsOnAccountFieldSpecified;

        private AmountsWithheldType amountsWithheldField;

        private double totalExecutableAmountField;

        private double totalReimbursableExpensesField;

        private bool totalReimbursableExpensesFieldSpecified;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalGrossAmount
        {
            get
            {
                return this.totalGrossAmountField;
            }
            set
            {
                this.totalGrossAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Discount", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<DiscountType> GeneralDiscounts
        {
            get
            {
                return this.generalDiscountsField;
            }
            set
            {
                this.generalDiscountsField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Charge", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<ChargeType> GeneralSurcharges
        {
            get
            {
                return this.generalSurchargesField;
            }
            set
            {
                this.generalSurchargesField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalGeneralDiscounts
        {
            get
            {
                return this.totalGeneralDiscountsField;
            }
            set
            {
                this.totalGeneralDiscountsField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool TotalGeneralDiscountsSpecified
        {
            get
            {
                return this.totalGeneralDiscountsFieldSpecified;
            }
            set
            {
                this.totalGeneralDiscountsFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalGeneralSurcharges
        {
            get
            {
                return this.totalGeneralSurchargesField;
            }
            set
            {
                this.totalGeneralSurchargesField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool TotalGeneralSurchargesSpecified
        {
            get
            {
                return this.totalGeneralSurchargesFieldSpecified;
            }
            set
            {
                this.totalGeneralSurchargesFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalGrossAmountBeforeTaxes
        {
            get
            {
                return this.totalGrossAmountBeforeTaxesField;
            }
            set
            {
                this.totalGrossAmountBeforeTaxesField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalTaxOutputs
        {
            get
            {
                return this.totalTaxOutputsField;
            }
            set
            {
                this.totalTaxOutputsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalTaxesWithheld
        {
            get
            {
                return this.totalTaxesWithheldField;
            }
            set
            {
                this.totalTaxesWithheldField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double InvoiceTotal
        {
            get
            {
                return this.invoiceTotalField;
            }
            set
            {
                this.invoiceTotalField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Subsidy", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<SubsidyType> Subsidies
        {
            get
            {
                return this.subsidiesField;
            }
            set
            {
                this.subsidiesField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("PaymentOnAccount", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<PaymentOnAccountType> PaymentsOnAccount
        {
            get
            {
                return this.paymentsOnAccountField;
            }
            set
            {
                this.paymentsOnAccountField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("ReimbursableExpenses", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<ReimbursableExpensesType> ReimbursableExpenses
        {
            get
            {
                return this.reimbursableExpensesField;
            }
            set
            {
                this.reimbursableExpensesField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalFinancialExpenses
        {
            get
            {
                return this.totalFinancialExpensesField;
            }
            set
            {
                this.totalFinancialExpensesField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool TotalFinancialExpensesSpecified
        {
            get
            {
                return this.totalFinancialExpensesFieldSpecified;
            }
            set
            {
                this.totalFinancialExpensesFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalOutstandingAmount
        {
            get
            {
                return this.totalOutstandingAmountField;
            }
            set
            {
                this.totalOutstandingAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalPaymentsOnAccount
        {
            get
            {
                return this.totalPaymentsOnAccountField;
            }
            set
            {
                this.totalPaymentsOnAccountField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool TotalPaymentsOnAccountSpecified
        {
            get
            {
                return this.totalPaymentsOnAccountFieldSpecified;
            }
            set
            {
                this.totalPaymentsOnAccountFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountsWithheldType AmountsWithheld
        {
            get
            {
                return this.amountsWithheldField;
            }
            set
            {
                this.amountsWithheldField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalExecutableAmount
        {
            get
            {
                return this.totalExecutableAmountField;
            }
            set
            {
                this.totalExecutableAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double TotalReimbursableExpenses
        {
            get
            {
                return this.totalReimbursableExpensesField;
            }
            set
            {
                this.totalReimbursableExpensesField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool TotalReimbursableExpensesSpecified
        {
            get
            {
                return this.totalReimbursableExpensesFieldSpecified;
            }
            set
            {
                this.totalReimbursableExpensesFieldSpecified = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class ExchangeRateDetailsType
    {

        private double exchangeRateField;

        private DateTime exchangeRateDateField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public double ExchangeRate
        {
            get
            {
                return this.exchangeRateField;
            }
            set
            {
                this.exchangeRateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime ExchangeRateDate
        {
            get
            {
                return this.exchangeRateDateField;
            }
            set
            {
                this.exchangeRateDateField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class PlaceOfIssueType
    {

        private string postCodeField;

        private string placeOfIssueDescriptionField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PostCode
        {
            get
            {
                return this.postCodeField;
            }
            set
            {
                this.postCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PlaceOfIssueDescription
        {
            get
            {
                return this.placeOfIssueDescriptionField;
            }
            set
            {
                this.placeOfIssueDescriptionField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class InvoiceIssueDataType
    {

        private DateTime issueDateField;

        private DateTime operationDateField;

        private bool operationDateFieldSpecified;

        private PlaceOfIssueType placeOfIssueField;

        private PeriodDates invoicingPeriodField;

        private CurrencyCodeType invoiceCurrencyCodeField;

        private ExchangeRateDetailsType exchangeRateDetailsField;

        private CurrencyCodeType taxCurrencyCodeField;

        private LanguageCodeType languageNameField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime OperationDate
        {
            get
            {
                return this.operationDateField;
            }
            set
            {
                this.operationDateField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool OperationDateSpecified
        {
            get
            {
                return this.operationDateFieldSpecified;
            }
            set
            {
                this.operationDateFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PlaceOfIssueType PlaceOfIssue
        {
            get
            {
                return this.placeOfIssueField;
            }
            set
            {
                this.placeOfIssueField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PeriodDates InvoicingPeriod
        {
            get
            {
                return this.invoicingPeriodField;
            }
            set
            {
                this.invoicingPeriodField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CurrencyCodeType InvoiceCurrencyCode
        {
            get
            {
                return this.invoiceCurrencyCodeField;
            }
            set
            {
                this.invoiceCurrencyCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ExchangeRateDetailsType ExchangeRateDetails
        {
            get
            {
                return this.exchangeRateDetailsField;
            }
            set
            {
                this.exchangeRateDetailsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CurrencyCodeType TaxCurrencyCode
        {
            get
            {
                return this.taxCurrencyCodeField;
            }
            set
            {
                this.taxCurrencyCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public LanguageCodeType LanguageName
        {
            get
            {
                return this.languageNameField;
            }
            set
            {
                this.languageNameField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum CurrencyCodeType
    {

        /// <comentarios/>
        AFN,

        /// <comentarios/>
        ALL,

        /// <comentarios/>
        AMD,

        /// <comentarios/>
        ANG,

        /// <comentarios/>
        AOA,

        /// <comentarios/>
        ARS,

        /// <comentarios/>
        AUD,

        /// <comentarios/>
        AWG,

        /// <comentarios/>
        AZN,

        /// <comentarios/>
        BAD,

        /// <comentarios/>
        BBD,

        /// <comentarios/>
        BDT,

        /// <comentarios/>
        BGN,

        /// <comentarios/>
        BHD,

        /// <comentarios/>
        BIF,

        /// <comentarios/>
        BMD,

        /// <comentarios/>
        BND,

        /// <comentarios/>
        BOB,

        /// <comentarios/>
        BRL,

        /// <comentarios/>
        BRR,

        /// <comentarios/>
        BSD,

        /// <comentarios/>
        BWP,

        /// <comentarios/>
        BYR,

        /// <comentarios/>
        BZD,

        /// <comentarios/>
        CAD,

        /// <comentarios/>
        CDF,

        /// <comentarios/>
        CDP,

        /// <comentarios/>
        CHF,

        /// <comentarios/>
        CLP,

        /// <comentarios/>
        CNY,

        /// <comentarios/>
        COP,

        /// <comentarios/>
        CRC,

        /// <comentarios/>
        CUP,

        /// <comentarios/>
        CVE,

        /// <comentarios/>
        CZK,

        /// <comentarios/>
        DJF,

        /// <comentarios/>
        DKK,

        /// <comentarios/>
        DOP,

        /// <comentarios/>
        DRP,

        /// <comentarios/>
        DZD,

        /// <comentarios/>
        EEK,

        /// <comentarios/>
        EGP,

        /// <comentarios/>
        ESP,

        /// <comentarios/>
        ETB,

        /// <comentarios/>
        EUR,

        /// <comentarios/>
        FJD,

        /// <comentarios/>
        FKP,

        /// <comentarios/>
        GBP,

        /// <comentarios/>
        GEK,

        /// <comentarios/>
        GHC,

        /// <comentarios/>
        GIP,

        /// <comentarios/>
        GMD,

        /// <comentarios/>
        GNF,

        /// <comentarios/>
        GTQ,

        /// <comentarios/>
        GWP,

        /// <comentarios/>
        GYD,

        /// <comentarios/>
        HKD,

        /// <comentarios/>
        HNL,

        /// <comentarios/>
        HRK,

        /// <comentarios/>
        HTG,

        /// <comentarios/>
        HUF,

        /// <comentarios/>
        IDR,

        /// <comentarios/>
        ILS,

        /// <comentarios/>
        INR,

        /// <comentarios/>
        IQD,

        /// <comentarios/>
        IRR,

        /// <comentarios/>
        ISK,

        /// <comentarios/>
        JMD,

        /// <comentarios/>
        JOD,

        /// <comentarios/>
        JPY,

        /// <comentarios/>
        KES,

        /// <comentarios/>
        KGS,

        /// <comentarios/>
        KHR,

        /// <comentarios/>
        KMF,

        /// <comentarios/>
        KPW,

        /// <comentarios/>
        KRW,

        /// <comentarios/>
        KWD,

        /// <comentarios/>
        KYD,

        /// <comentarios/>
        KZT,

        /// <comentarios/>
        LAK,

        /// <comentarios/>
        LBP,

        /// <comentarios/>
        LKR,

        /// <comentarios/>
        LRD,

        /// <comentarios/>
        LSL,

        /// <comentarios/>
        LTL,

        /// <comentarios/>
        LVL,

        /// <comentarios/>
        LYD,

        /// <comentarios/>
        MAD,

        /// <comentarios/>
        MDL,

        /// <comentarios/>
        MGF,

        /// <comentarios/>
        MNC,

        /// <comentarios/>
        MNT,

        /// <comentarios/>
        MOP,

        /// <comentarios/>
        MRO,

        /// <comentarios/>
        MUR,

        /// <comentarios/>
        MVR,

        /// <comentarios/>
        MWK,

        /// <comentarios/>
        MXN,

        /// <comentarios/>
        MYR,

        /// <comentarios/>
        MZM,

        /// <comentarios/>
        NGN,

        /// <comentarios/>
        NIC,

        /// <comentarios/>
        NIO,

        /// <comentarios/>
        NIS,

        /// <comentarios/>
        NOK,

        /// <comentarios/>
        NPR,

        /// <comentarios/>
        NZD,

        /// <comentarios/>
        OMR,

        /// <comentarios/>
        PAB,

        /// <comentarios/>
        PEI,

        /// <comentarios/>
        PEN,

        /// <comentarios/>
        PES,

        /// <comentarios/>
        PGK,

        /// <comentarios/>
        PHP,

        /// <comentarios/>
        PKR,

        /// <comentarios/>
        PLN,

        /// <comentarios/>
        PYG,

        /// <comentarios/>
        QAR,

        /// <comentarios/>
        RMB,

        /// <comentarios/>
        RON,

        /// <comentarios/>
        RUB,

        /// <comentarios/>
        RWF,

        /// <comentarios/>
        SAR,

        /// <comentarios/>
        SBD,

        /// <comentarios/>
        SCR,

        /// <comentarios/>
        SDP,

        /// <comentarios/>
        SEK,

        /// <comentarios/>
        SGD,

        /// <comentarios/>
        SHP,

        /// <comentarios/>
        SKK,

        /// <comentarios/>
        SLL,

        /// <comentarios/>
        SOL,

        /// <comentarios/>
        SOS,

        /// <comentarios/>
        SRD,

        /// <comentarios/>
        STD,

        /// <comentarios/>
        SVC,

        /// <comentarios/>
        SYP,

        /// <comentarios/>
        SZL,

        /// <comentarios/>
        THB,

        /// <comentarios/>
        TJS,

        /// <comentarios/>
        TMM,

        /// <comentarios/>
        TND,

        /// <comentarios/>
        TOP,

        /// <comentarios/>
        TPE,

        /// <comentarios/>
        TRY,

        /// <comentarios/>
        TTD,

        /// <comentarios/>
        TWD,

        /// <comentarios/>
        TZS,

        /// <comentarios/>
        UAH,

        /// <comentarios/>
        UGS,

        /// <comentarios/>
        USD,

        /// <comentarios/>
        UYP,

        /// <comentarios/>
        UYU,

        /// <comentarios/>
        VEF,

        /// <comentarios/>
        VND,

        /// <comentarios/>
        VUV,

        /// <comentarios/>
        WST,

        /// <comentarios/>
        XAF,

        /// <comentarios/>
        XCD,

        /// <comentarios/>
        XOF,

        /// <comentarios/>
        YER,

        /// <comentarios/>
        ZAR,

        /// <comentarios/>
        ZMK,

        /// <comentarios/>
        ZWD,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum LanguageCodeType
    {

        /// <comentarios/>
        ar,

        /// <comentarios/>
        be,

        /// <comentarios/>
        bg,

        /// <comentarios/>
        ca,

        /// <comentarios/>
        cs,

        /// <comentarios/>
        da,

        /// <comentarios/>
        de,

        /// <comentarios/>
        el,

        /// <comentarios/>
        en,

        /// <comentarios/>
        es,

        /// <comentarios/>
        et,

        /// <comentarios/>
        eu,

        /// <comentarios/>
        fi,

        /// <comentarios/>
        fr,

        /// <comentarios/>
        ga,

        /// <comentarios/>
        gl,

        /// <comentarios/>
        hr,

        /// <comentarios/>
        hu,

        /// <comentarios/>
        @is,

        /// <comentarios/>
        it,

        /// <comentarios/>
        lv,

        /// <comentarios/>
        lt,

        /// <comentarios/>
        mk,

        /// <comentarios/>
        mt,

        /// <comentarios/>
        nl,

        /// <comentarios/>
        no,

        /// <comentarios/>
        pl,

        /// <comentarios/>
        pt,

        /// <comentarios/>
        ro,

        /// <comentarios/>
        ru,

        /// <comentarios/>
        sk,

        /// <comentarios/>
        sl,

        /// <comentarios/>
        sq,

        /// <comentarios/>
        sr,

        /// <comentarios/>
        sv,

        /// <comentarios/>
        tr,

        /// <comentarios/>
        uk,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class CorrectiveType
    {

        private string invoiceNumberField;

        private string invoiceSeriesCodeField;

        private ReasonCodeType reasonCodeField;

        private ReasonDescriptionType reasonDescriptionField;

        private PeriodDates taxPeriodField;

        private CorrectionMethodType correctionMethodField;

        private CorrectionMethodDescriptionType correctionMethodDescriptionField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string InvoiceNumber
        {
            get
            {
                return this.invoiceNumberField;
            }
            set
            {
                this.invoiceNumberField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string InvoiceSeriesCode
        {
            get
            {
                return this.invoiceSeriesCodeField;
            }
            set
            {
                this.invoiceSeriesCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ReasonCodeType ReasonCode
        {
            get
            {
                return this.reasonCodeField;
            }
            set
            {
                this.reasonCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ReasonDescriptionType ReasonDescription
        {
            get
            {
                return this.reasonDescriptionField;
            }
            set
            {
                this.reasonDescriptionField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PeriodDates TaxPeriod
        {
            get
            {
                return this.taxPeriodField;
            }
            set
            {
                this.taxPeriodField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CorrectionMethodType CorrectionMethod
        {
            get
            {
                return this.correctionMethodField;
            }
            set
            {
                this.correctionMethodField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CorrectionMethodDescriptionType CorrectionMethodDescription
        {
            get
            {
                return this.correctionMethodDescriptionField;
            }
            set
            {
                this.correctionMethodDescriptionField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum ReasonCodeType
    {

        /// <comentarios/>
        [XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [XmlEnumAttribute("04")]
        Item04,

        /// <comentarios/>
        [XmlEnumAttribute("05")]
        Item05,

        /// <comentarios/>
        [XmlEnumAttribute("06")]
        Item06,

        /// <comentarios/>
        [XmlEnumAttribute("07")]
        Item07,

        /// <comentarios/>
        [XmlEnumAttribute("08")]
        Item08,

        /// <comentarios/>
        [XmlEnumAttribute("09")]
        Item09,

        /// <comentarios/>
        [XmlEnumAttribute("10")]
        Item10,

        /// <comentarios/>
        [XmlEnumAttribute("11")]
        Item11,

        /// <comentarios/>
        [XmlEnumAttribute("12")]
        Item12,

        /// <comentarios/>
        [XmlEnumAttribute("13")]
        Item13,

        /// <comentarios/>
        [XmlEnumAttribute("14")]
        Item14,

        /// <comentarios/>
        [XmlEnumAttribute("15")]
        Item15,

        /// <comentarios/>
        [XmlEnumAttribute("16")]
        Item16,

        /// <comentarios/>
        [XmlEnumAttribute("80")]
        Item80,

        /// <comentarios/>
        [XmlEnumAttribute("81")]
        Item81,

        /// <comentarios/>
        [XmlEnumAttribute("82")]
        Item82,

        /// <comentarios/>
        [XmlEnumAttribute("83")]
        Item83,

        /// <comentarios/>
        [XmlEnumAttribute("84")]
        Item84,

        /// <comentarios/>
        [XmlEnumAttribute("85")]
        Item85,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum ReasonDescriptionType
    {

        /// <comentarios/>
        [XmlEnumAttribute("Número de la factura")]
        Númerodelafactura,

        /// <comentarios/>
        [XmlEnumAttribute("Serie de la factura")]
        Seriedelafactura,

        /// <comentarios/>
        [XmlEnumAttribute("Fecha expedición")]
        Fechaexpedición,

        /// <comentarios/>
        [XmlEnumAttribute("Nombre y apellidos/Razón Social-Emisor")]
        NombreyapellidosRazónSocialEmisor,

        /// <comentarios/>
        [XmlEnumAttribute("Nombre y apellidos/Razón Social-Receptor")]
        NombreyapellidosRazónSocialReceptor,

        /// <comentarios/>
        [XmlEnumAttribute("Identificación fiscal Emisor/obligado")]
        IdentificaciónfiscalEmisorobligado,

        /// <comentarios/>
        [XmlEnumAttribute("Identificación fiscal Receptor")]
        IdentificaciónfiscalReceptor,

        /// <comentarios/>
        [XmlEnumAttribute("Domicilio Emisor/Obligado")]
        DomicilioEmisorObligado,

        /// <comentarios/>
        [XmlEnumAttribute("Domicilio Receptor")]
        DomicilioReceptor,

        /// <comentarios/>
        [XmlEnumAttribute("Detalle Operación")]
        DetalleOperación,

        /// <comentarios/>
        [XmlEnumAttribute("Porcentaje impositivo a aplicar")]
        Porcentajeimpositivoaaplicar,

        /// <comentarios/>
        [XmlEnumAttribute("Cuota tributaria a aplicar")]
        Cuotatributariaaaplicar,

        /// <comentarios/>
        [XmlEnumAttribute("Fecha/Periodo a aplicar")]
        FechaPeriodoaaplicar,

        /// <comentarios/>
        [XmlEnumAttribute("Clase de factura")]
        Clasedefactura,

        /// <comentarios/>
        [XmlEnumAttribute("Literales legales")]
        Literaleslegales,

        /// <comentarios/>
        [XmlEnumAttribute("Base imponible")]
        Baseimponible,

        /// <comentarios/>
        [XmlEnumAttribute("Cálculo de cuotas repercutidas")]
        Cálculodecuotasrepercutidas,

        /// <comentarios/>
        [XmlEnumAttribute("Cálculo de cuotas retenidas")]
        Cálculodecuotasretenidas,

        /// <comentarios/>
        [XmlEnumAttribute("Base imponible modificada por devolución de envases / embalajes")]
        Baseimponiblemodificadapordevolucióndeenvasesembalajes,

        /// <comentarios/>
        [XmlEnumAttribute("Base imponible modificada por descuentos y bonificaciones")]
        Baseimponiblemodificadapordescuentosybonificaciones,

        /// <comentarios/>
        [XmlEnumAttribute("Base imponible modificada por resolución firme, judicial o administrativa")]
        Baseimponiblemodificadaporresoluciónfirmejudicialoadministrativa,

        /// <comentarios/>
        [XmlEnumAttribute("Base imponible modificada cuotas repercutidas no satisfechas. Auto de declaración" +
            " de concurso")]
        BaseimponiblemodificadacuotasrepercutidasnosatisfechasAutodedeclaracióndeconcurso,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum CorrectionMethodType
    {

        /// <comentarios/>
        [XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [XmlEnumAttribute("04")]
        Item04,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum CorrectionMethodDescriptionType
    {

        /// <comentarios/>
        [XmlEnumAttribute("Rectificación íntegra")]
        Rectificacióníntegra,

        /// <comentarios/>
        [XmlEnumAttribute("Rectificación por diferencias")]
        Rectificaciónpordiferencias,

        /// <comentarios/>
        [XmlEnumAttribute("Rectificación por descuento por volumen de operaciones durante un periodo")]
        Rectificaciónpordescuentoporvolumendeoperacionesduranteunperiodo,

        /// <comentarios/>
        [XmlEnumAttribute("Autorizadas por la Agencia Tributaria")]
        AutorizadasporlaAgenciaTributaria,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class InvoiceHeaderType
    {

        private string invoiceNumberField;

        private string invoiceSeriesCodeField;

        private InvoiceDocumentTypeType invoiceDocumentTypeField;

        private InvoiceClassType invoiceClassField;

        private CorrectiveType correctiveField;

        

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string InvoiceNumber
        {
            get
            {
                return this.invoiceNumberField;
            }
            set
            {
                this.invoiceNumberField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string InvoiceSeriesCode
        {
            get
            {
                return this.invoiceSeriesCodeField;
            }
            set
            {
                this.invoiceSeriesCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public InvoiceDocumentTypeType InvoiceDocumentType
        {
            get
            {
                return this.invoiceDocumentTypeField;
            }
            set
            {
                this.invoiceDocumentTypeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public InvoiceClassType InvoiceClass
        {
            get
            {
                return this.invoiceClassField;
            }
            set
            {
                this.invoiceClassField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CorrectiveType Corrective
        {
            get
            {
                return this.correctiveField;
            }
            set
            {
                this.correctiveField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum InvoiceDocumentTypeType
    {

        /// <comentarios/>
        FC,

        /// <comentarios/>
        FA,

        /// <comentarios/>
        AF,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum InvoiceClassType
    {

        /// <comentarios/>
        OO,

        /// <comentarios/>
        OR,

        /// <comentarios/>
        OC,

        /// <comentarios/>
        CO,

        /// <comentarios/>
        CR,

        /// <comentarios/>
        CC,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class InvoiceType
    {

        private InvoiceHeaderType invoiceHeaderField;

        private InvoiceIssueDataType invoiceIssueDataField;

        private List<TaxOutputType> taxesOutputsField;

        private List<TaxType> taxesWithheldField;

        private InvoiceTotalsType invoiceTotalsField;

        private List<InvoiceLineType> itemsField;

        private List<InstallmentType> paymentDetailsField;

        private List<string> legalLiteralsField;

        private AdditionalDataType additionalDataField;

        public InvoiceType()
        {
            invoiceHeaderField = new InvoiceHeaderType();
            taxesOutputsField = new List<TaxOutputType>();
            
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public InvoiceHeaderType InvoiceHeader
        {
            get
            {
                return this.invoiceHeaderField;
            }
            set
            {
                this.invoiceHeaderField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public InvoiceIssueDataType InvoiceIssueData
        {
            get
            {
                return this.invoiceIssueDataField;
            }
            set
            {
                this.invoiceIssueDataField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Tax", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<TaxOutputType> TaxesOutputs
        {
            get
            {
                return this.taxesOutputsField;
            }
            set
            {
                this.taxesOutputsField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Tax", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<TaxType> TaxesWithheld
        {
            get
            {
                return this.taxesWithheldField;
            }
            set
            {
                this.taxesWithheldField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public InvoiceTotalsType InvoiceTotals
        {
            get
            {
                return this.invoiceTotalsField;
            }
            set
            {
                this.invoiceTotalsField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("InvoiceLine", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<InvoiceLineType> Items
        {
            get
            {
                return this.itemsField;
            }
            set
            {
                this.itemsField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("Installment", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<InstallmentType> PaymentDetails
        {
            get
            {
                return this.paymentDetailsField;
            }
            set
            {
                this.paymentDetailsField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("LegalReference", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<string> LegalLiterals
        {
            get
            {
                return this.legalLiteralsField;
            }
            set
            {
                this.legalLiteralsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AdditionalDataType AdditionalData
        {
            get
            {
                return this.additionalDataField;
            }
            set
            {
                this.additionalDataField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AdministrativeCentreType
    {

        private string centreCodeField;

        private RoleTypeCodeType roleTypeCodeField;

        private bool roleTypeCodeFieldSpecified;

        private string nameField;

        private string firstSurnameField;

        private string secondSurnameField;

        private object itemField;

        private ContactDetailsType contactDetailsField;

        private string physicalGLNField;

        private string logicalOperationalPointField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string CentreCode
        {
            get
            {
                return this.centreCodeField;
            }
            set
            {
                this.centreCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public RoleTypeCodeType RoleTypeCode
        {
            get
            {
                return this.roleTypeCodeField;
            }
            set
            {
                this.roleTypeCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlIgnoreAttribute()]
        public bool RoleTypeCodeSpecified
        {
            get
            {
                return this.roleTypeCodeFieldSpecified;
            }
            set
            {
                this.roleTypeCodeFieldSpecified = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string FirstSurname
        {
            get
            {
                return this.firstSurnameField;
            }
            set
            {
                this.firstSurnameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string SecondSurname
        {
            get
            {
                return this.secondSurnameField;
            }
            set
            {
                this.secondSurnameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute("AddressInSpain", typeof(AddressType), Form = XmlSchemaForm.Unqualified)]
        [XmlElementAttribute("OverseasAddress", typeof(OverseasAddressType), Form = XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ContactDetailsType ContactDetails
        {
            get
            {
                return this.contactDetailsField;
            }
            set
            {
                this.contactDetailsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PhysicalGLN
        {
            get
            {
                return this.physicalGLNField;
            }
            set
            {
                this.physicalGLNField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string LogicalOperationalPoint
        {
            get
            {
                return this.logicalOperationalPointField;
            }
            set
            {
                this.logicalOperationalPointField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public enum RoleTypeCodeType
    {

        /// <comentarios/>
        [XmlEnumAttribute("01")]
        Item01,

        /// <comentarios/>
        [XmlEnumAttribute("02")]
        Item02,

        /// <comentarios/>
        [XmlEnumAttribute("03")]
        Item03,

        /// <comentarios/>
        [XmlEnumAttribute("04")]
        Item04,

        /// <comentarios/>
        [XmlEnumAttribute("05")]
        Item05,
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class ContactDetailsType
    {

        private string telephoneField;

        private string teleFaxField;

        private string webAddressField;

        private string electronicMailField;

        private string contactPersonsField;

        private string cnoCnaeField;

        private string iNETownCodeField;

        private string additionalContactDetailsField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Telephone
        {
            get
            {
                return this.telephoneField;
            }
            set
            {
                this.telephoneField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string TeleFax
        {
            get
            {
                return this.teleFaxField;
            }
            set
            {
                this.teleFaxField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string WebAddress
        {
            get
            {
                return this.webAddressField;
            }
            set
            {
                this.webAddressField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string ElectronicMail
        {
            get
            {
                return this.electronicMailField;
            }
            set
            {
                this.electronicMailField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string ContactPersons
        {
            get
            {
                return this.contactPersonsField;
            }
            set
            {
                this.contactPersonsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string CnoCnae
        {
            get
            {
                return this.cnoCnaeField;
            }
            set
            {
                this.cnoCnaeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string INETownCode
        {
            get
            {
                return this.iNETownCodeField;
            }
            set
            {
                this.iNETownCodeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string AdditionalContactDetails
        {
            get
            {
                return this.additionalContactDetailsField;
            }
            set
            {
                this.additionalContactDetailsField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class BusinessType
    {

        private TaxIdentificationType taxIdentificationField;

        private string partyIdentificationField;

        private List<AdministrativeCentreType> administrativeCentresField;

        private object itemField;

        public BusinessType()
        {
            taxIdentificationField = new TaxIdentificationType();
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public TaxIdentificationType TaxIdentification
        {
            get
            {
                return this.taxIdentificationField;
            }
            set
            {
                this.taxIdentificationField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PartyIdentification
        {
            get
            {
                return this.partyIdentificationField;
            }
            set
            {
                this.partyIdentificationField = value;
            }
        }

        /// <comentarios/>
        [XmlArrayAttribute(Form = XmlSchemaForm.Unqualified)]
        [XmlArrayItemAttribute("AdministrativeCentre", Form = XmlSchemaForm.Unqualified, IsNullable = false)]
        public List<AdministrativeCentreType> AdministrativeCentres
        {
            get
            {
                return this.administrativeCentresField;
            }
            set
            {
                this.administrativeCentresField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute("Individual", typeof(IndividualType), Form = XmlSchemaForm.Unqualified)]
        [XmlElementAttribute("LegalEntity", typeof(LegalEntityType), Form = XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class IndividualType
    {

        private string nameField;

        private string firstSurnameField;

        private string secondSurnameField;

        private object itemField;

        private ContactDetailsType contactDetailsField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string FirstSurname
        {
            get
            {
                return this.firstSurnameField;
            }
            set
            {
                this.firstSurnameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string SecondSurname
        {
            get
            {
                return this.secondSurnameField;
            }
            set
            {
                this.secondSurnameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute("AddressInSpain", typeof(AddressType), Form = XmlSchemaForm.Unqualified)]
        [XmlElementAttribute("OverseasAddress", typeof(OverseasAddressType), Form = XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ContactDetailsType ContactDetails
        {
            get
            {
                return this.contactDetailsField;
            }
            set
            {
                this.contactDetailsField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class LegalEntityType
    {

       
        /// <summary>
        /// razon social
        /// </summary>
        private string corporateNameField="";

        /// <summary>
        /// nombre comercial *opcional*
        /// </summary>
        private string tradeNameField;

        private RegistrationDataType registrationDataField;

        private object itemField;

        private ContactDetailsType contactDetailsField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string CorporateName
        {
            get
            {
                return this.corporateNameField;
            }
            set
            {
                this.corporateNameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string TradeName
        {
            get
            {
                return this.tradeNameField;
            }
            set
            {
                this.tradeNameField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public RegistrationDataType RegistrationData
        {
            get
            {
                return this.registrationDataField;
            }
            set
            {
                this.registrationDataField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute("AddressInSpain", typeof(AddressType), Form = XmlSchemaForm.Unqualified)]
        [XmlElementAttribute("OverseasAddress", typeof(OverseasAddressType), Form = XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public ContactDetailsType ContactDetails
        {
            get
            {
                return this.contactDetailsField;
            }
            set
            {
                this.contactDetailsField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class RegistrationDataType
    {

        private string bookField;

        private string registerOfCompaniesLocationField;

        private string sheetField;

        private string folioField;

        private string sectionField;

        private string volumeField;

        private string additionalRegistrationDataField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Book
        {
            get
            {
                return this.bookField;
            }
            set
            {
                this.bookField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string RegisterOfCompaniesLocation
        {
            get
            {
                return this.registerOfCompaniesLocationField;
            }
            set
            {
                this.registerOfCompaniesLocationField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Sheet
        {
            get
            {
                return this.sheetField;
            }
            set
            {
                this.sheetField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Folio
        {
            get
            {
                return this.folioField;
            }
            set
            {
                this.folioField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Section
        {
            get
            {
                return this.sectionField;
            }
            set
            {
                this.sectionField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string Volume
        {
            get
            {
                return this.volumeField;
            }
            set
            {
                this.volumeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string AdditionalRegistrationData
        {
            get
            {
                return this.additionalRegistrationDataField;
            }
            set
            {
                this.additionalRegistrationDataField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class PartiesType
    {

        private BusinessType sellerPartyField;

        private BusinessType buyerPartyField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public BusinessType SellerParty
        {
            get
            {
                return this.sellerPartyField;
            }
            set
            {
                this.sellerPartyField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public BusinessType BuyerParty
        {
            get
            {
                return this.buyerPartyField;
            }
            set
            {
                this.buyerPartyField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class PaymentDetailsType
    {

        private DateTime assignmentDuePaymentDateField;

        private string assignmentPaymentMeansField;

        private string iBANField;

        private string paymentReferenceField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified, DataType = "date")]
        public DateTime AssignmentDuePaymentDate
        {
            get
            {
                return this.assignmentDuePaymentDateField;
            }
            set
            {
                this.assignmentDuePaymentDateField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string AssignmentPaymentMeans
        {
            get
            {
                return this.assignmentPaymentMeansField;
            }
            set
            {
                this.assignmentPaymentMeansField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string IBAN
        {
            get
            {
                return this.iBANField;
            }
            set
            {
                this.iBANField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string PaymentReference
        {
            get
            {
                return this.paymentReferenceField;
            }
            set
            {
                this.paymentReferenceField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class AssigneeType
    {

        private TaxIdentificationType taxIdentificationField;

        private object itemField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public TaxIdentificationType TaxIdentification
        {
            get
            {
                return this.taxIdentificationField;
            }
            set
            {
                this.taxIdentificationField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute("Individual", typeof(IndividualType), Form = XmlSchemaForm.Unqualified)]
        [XmlElementAttribute("LegalEntity", typeof(LegalEntityType), Form = XmlSchemaForm.Unqualified)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class FactoringAssignmentDataType
    {

        private AssigneeType assigneeField;

        private PaymentDetailsType paymentDetailsField;

        private string factoringAssignmentClausesField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AssigneeType Assignee
        {
            get
            {
                return this.assigneeField;
            }
            set
            {
                this.assigneeField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public PaymentDetailsType PaymentDetails
        {
            get
            {
                return this.paymentDetailsField;
            }
            set
            {
                this.paymentDetailsField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string FactoringAssignmentClauses
        {
            get
            {
                return this.factoringAssignmentClausesField;
            }
            set
            {
                this.factoringAssignmentClausesField = value;
            }
        }
    }

    /// <comentarios/>
    [GeneratedCodeAttribute("xsd", "2.0.50727.1432")]
    [SerializableAttribute()]
    [DebuggerStepThroughAttribute()]
    [DesignerCategoryAttribute("code")]
    [XmlTypeAttribute(Namespace = "http://www.facturae.es/Facturae/2007/v3.1/Facturae")]
    public partial class BatchType
    {

        private string batchIdentifierField;

        private long invoicesCountField;

        private AmountType totalInvoicesAmountField;

        private AmountType totalOutstandingAmountField;

        private AmountType totalExecutableAmountField;

        private CurrencyCodeType invoiceCurrencyCodeField;

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public string BatchIdentifier
        {
            get
            {
                return this.batchIdentifierField;
            }
            set
            {
                this.batchIdentifierField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public long InvoicesCount
        {
            get
            {
                return this.invoicesCountField;
            }
            set
            {
                this.invoicesCountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType TotalInvoicesAmount
        {
            get
            {
                return this.totalInvoicesAmountField;
            }
            set
            {
                this.totalInvoicesAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType TotalOutstandingAmount
        {
            get
            {
                return this.totalOutstandingAmountField;
            }
            set
            {
                this.totalOutstandingAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public AmountType TotalExecutableAmount
        {
            get
            {
                return this.totalExecutableAmountField;
            }
            set
            {
                this.totalExecutableAmountField = value;
            }
        }

        /// <comentarios/>
        [XmlElementAttribute(Form = XmlSchemaForm.Unqualified)]
        public CurrencyCodeType InvoiceCurrencyCode
        {
            get
            {
                return this.invoiceCurrencyCodeField;
            }
            set
            {
                this.invoiceCurrencyCodeField = value;
            }
        }
    }
}